List Agents
curl --request GET \
--url https://api-tokyo.oneinbox.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-tokyo.oneinbox.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-tokyo.oneinbox.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-tokyo.oneinbox.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"llm_id": "<string>",
"webhook_id": "<string>",
"transcriber": {},
"tts": {},
"first_message": "<string>",
"end_call_phrases": [
"<string>"
],
"max_duration_seconds": 123,
"interruption_sensitivity": 123,
"silence_timeout_seconds": 123,
"enable_recording": true,
"language": "<string>",
"dynamic_variables": {},
"voicemail_detection": true,
"voicemail_message": "<string>",
"responsiveness": 123,
"speed": 123,
"background_sound": "<string>",
"emotions": true,
"job_description": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"effective_system_prompt": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}agents
List Agents
GET
/
v1
/
agents
List Agents
curl --request GET \
--url https://api-tokyo.oneinbox.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-tokyo.oneinbox.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-tokyo.oneinbox.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-tokyo.oneinbox.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"llm_id": "<string>",
"webhook_id": "<string>",
"transcriber": {},
"tts": {},
"first_message": "<string>",
"end_call_phrases": [
"<string>"
],
"max_duration_seconds": 123,
"interruption_sensitivity": 123,
"silence_timeout_seconds": 123,
"enable_recording": true,
"language": "<string>",
"dynamic_variables": {},
"voicemail_detection": true,
"voicemail_message": "<string>",
"responsiveness": 123,
"speed": 123,
"background_sound": "<string>",
"emotions": true,
"job_description": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"effective_system_prompt": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I